{ pkgs ? import <nixpkgs> { } }:
with pkgs;
let
    version = "0.0.1";
    deps = [ ];
    nativeDeps = [ ];
in
pkgs.buildGo118Module {
  pname = "pac3100-exporter";
  inherit version;
  src = ./.;
  buildInputs = [
    stdenv glibc.static
  ] ++deps;
  nativeBuildInputs = [
  ] ++nativeDeps;
  tags = [ ];
  ldflags = [
      "-s" "-w"
      "-linkmode external"
      "-extldflags -static"
    ];

  allowGoReference = false;
  #vendorSha256 = lib.fakeSha256;
  vendorSha256 = "sha256-RXX9t2DOOWvtaxX2bE3E/ioRb/07nLpSue6TsLDHATQ=";

  meta = {
    description = "An Prometheus Exporter for Siemens PAC3100 via a Modbus RTU Connection";
    homepage = "https://git.entr0py.de/garionion/pac3100-exporter";
  };
}